commit:     487467a16b1526308b6c2a80c5eb18dfd72284a7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 10 11:03:08 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 10 12:05:02 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=487467a1

dev-python/setuptools: Bump to 49.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/setuptools/Manifest                 |  1 +
 dev-python/setuptools/setuptools-49.3.0.ebuild | 71 ++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index 69a32fb7790..6e43b248104 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -3,3 +3,4 @@ DIST setuptools-46.4.0.zip 865912 BLAKE2B 
452d36132f5648c79c7e1616a93ff6a39ab2f6
 DIST setuptools-49.1.1.zip 2173825 BLAKE2B 
44a23a2bb8613b2dcf2368997c7d89ffbd957d7004c1872bbb64631955e5e8ed2f14a49d16fff4c384c42d56b486eb2ee07f2a3e3e72add97502f39309a17fee
 SHA512 
d33c291edb64d015530e3bd66666a612539896018c5f6b6eff65719339ec75967c4f6200be36a60955f885ebc4cb86f9acd5f52d8fd2e1fb1e4919488a986603
 DIST setuptools-49.2.0.zip 2174648 BLAKE2B 
03d4d2f4df5e20a39bdf8940610e0e0ad02566bc594ba90f58f476a90882dff32f1126eb02a797027d126e45f0e3092d848214e4d28292850b5042a23cdfe6ea
 SHA512 
72de34b2000fba981eb186b612a6b7ccec920c480966ebec4e178dc024db5628aeefde778c1bbd7dae9d38ae86aa9384a1b7d86f9c358429742daeba72ba9850
 DIST setuptools-49.2.1.zip 2173295 BLAKE2B 
c80cb7bc0e278e38cdaa87f32684476f1e72b69171213ef6019631011d735de62149635471a87791ffb665afdef0a3b70b57b4275cc4ff6bff8cc3c488229931
 SHA512 
daa4096d079eef9b234c854ae404a2b0f6f3034008f4c3119b0412adc1cbbbff936c518c8e3aeadaed67426ad83bb651681d63352520910833c5b919147f0fb6
+DIST setuptools-49.3.0.zip 2175616 BLAKE2B 
bc46992660adbf5aeafa0c3e93c9fa598c6ec61ed379fe07f97d43b77274ce27829bfaac6e706cb943e5e7a5a8e5e2b09551178c04e20af86fa8732d809753be
 SHA512 
954b192b1d3a9deb8b8c9fb7d834d139a630d1951585f7ce9747c65b191c0bbd4747c8840b6297eb20a3755207333e9d921bca5b303ed8de757ddd28fd0b5e07

diff --git a/dev-python/setuptools/setuptools-49.3.0.ebuild 
b/dev-python/setuptools/setuptools-49.3.0.ebuild
new file mode 100644
index 00000000000..87b98893729
--- /dev/null
+++ b/dev-python/setuptools/setuptools-49.3.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools 
https://pypi.org/project/setuptools/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       app-arch/unzip
+       test? (
+               dev-python/jaraco-envs[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pip[${PYTHON_USEDEP}]
+               >=dev-python/pytest-3.7.0[${PYTHON_USEDEP}]
+               dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+               dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+               dev-python/wheel[${PYTHON_USEDEP}]
+       )
+"
+PDEPEND="
+       >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst 
docs/{easy_install.txt,pkg_resources.txt,setuptools.txt} )
+
+python_prepare_all() {
+       # disable tests requiring a network connection
+       rm setuptools/tests/test_packageindex.py || die
+
+       # don't run integration tests
+       rm setuptools/tests/test_integration.py || die
+
+       # xpass-es for me on py3
+       #sed -e '/xfail.*710/s:(:(six.PY2, :' \
+       #       -i setuptools/tests/test_archive_util.py || die
+
+       # avoid pointless dep on flake8
+       sed -i -e 's:--flake8::' -e 's:--cov::' pytest.ini || die
+
+       # disable the code disabling non-existing coverage plugin
+       sed -i -e 's:cov = .*:return:' conftest.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       distutils_install_for_testing
+       # test_easy_install raises a SandboxViolation due to 
${HOME}/.pydistutils.cfg
+       # It tries to sandbox the test in a tempdir
+       HOME="${PWD}" pytest -vv ${PN} || die "Tests failed under ${EPYTHON}"
+}
+
+python_install() {
+       export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+       distutils-r1_python_install
+}

Reply via email to